Caller Identification API
Caller Identification API
Caller Identification API identifies the phone owner’s name and demographic details, along with that owner’s address.
Caller ID API 3.1
Query Parameters
string
required
The phone number in E.164 or local format. The default country calling code is +1 (USA). Example:
phone=2069735100string (ISO-3166-2)
The ISO-3166 alpha-2 country code of the phone number. Example:
phone.country_hint=USstring
Person or Business name associated with the phone number. If multiple names are associated with the phone in Trestle database, this name will be ranked higher. Example:
phone.name_hint=Waidong Syrwsstring
The postal code of the subscriber address associated with the phone number. If multiple names or addresses are associated with the phone in Trestle database, this postal code hint will be used to rank name/address higher. Example:
phone.postal_code_hint=98264string
Request parameter to enable specific add-ons available for this endpoint. Add-ons incur additional charges. Please see here for more details.
- litigator_checks: to enable TCPA litigator detection checks in the response.
- spam_checks: to enable spam and scam detection checks in the response
litigator_checks,spam_checksHeaders
string
required
Your API key for authentication. Example:
{{ apiKey }}Response
string or null <Phone.<uuid>>
The persistent ID of the phone number.
string or null (PhoneNumber)
The phone number in E.164 or local format. The default country calling code is +1 (USA).
boolean or null
True if the phone number is valid.
string or null <E.164>
The country code of the phone number.
string or null
The line type of the phone number. Possible values:
Landline- Traditional wired phone lineMobile- Wireless phone lineFixedVOIP- VOIP number connected to a physical addressNonFixedVOIP- VOIP number unconnected to a fixed physical addressPremium- Caller pays a premium for the callTollFree- Callee pays for callVoicemail- Voicemail-only serviceOther- Line type is unclear
string or null
The company that provides voice and/or data services for the phone number. Carriers are returned at the MVNO level.
boolean or null
True if the phone is associated with a prepaid account.
boolean or null
True if the phone number is registered to a business.
object[]
The primary owner of the phone number.
object[]
Current location associated with Person or Business in belongs_to array.
object or null
object(PartialError)
Error details in case of an error.
string[]
Warnings returned as part of the response, if applicable.
Enum: Invalid Input International number. Not authorized Missing Input
Enum: Invalid Input International number. Not authorized Missing Input
Error Responses
400 Bad Request
The server cannot process the request due to client-side errors.Check for: Syntax errors in the request script, malformed JSON, or invalid parameters.403 Forbidden
The request is understood, but the server is refusing to fulfill it. Error responses include anerrorCode field identifying the cause:-
Invalid API Key (
INVALID_API_KEY): The key is incorrect, deactivated, or missing from the request. Check for: Trailing spaces, syntax errors, incorrect character counts, or a missingx-api-keyheader. -
API Key Disabled (Portal Issue) (
FORBIDDEN): The key is inactive. Check for: Insufficient funds in your self-serve wallet or if a Trestle Admin manually deactivated your API key. -
API Key does not have Product Access (Portal Issue) (
FORBIDDEN): The API key is active, but it is not enabled for this product or API version. Check for: Incorrect endpoint, incorrect API version, or missing product access on the key. -
API Key Expired (
FORBIDDEN): The key has reached its end-of-life (primarily affects Trial users).
429 Too Many Requests
You have sent too many requests in a given amount of time.-
Rate Limit Exceeded (
RATE_LIMIT_EXCEEDED): You have surpassed the queries-per-second (QPS) threshold for your tier. -
Quota Exceeded (Portal Issue) (
QUOTA_EXCEEDED): You have reached the total volume allowed for your current billing cycle. Upgrade your plan in the portal to resume service.
